package com.xkrs.dao;

import com.xkrs.model.entity.FireTask;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

/**
 * @author xkrs
 */
public interface FireTaskDao extends JpaRepository<FireTask,Long>, JpaSpecificationExecutor<FireTask> {

    /**
     * 根据火点编码查询该条任务
     * @param fireCode
     * @return
     */
    FireTask findByTaskFireCode(String fireCode);
}
