package com.xkrs.service.impl;

import com.xkrs.dao.GlobalSettingDao;
import com.xkrs.model.entity.GlobalSettingEntity;
import com.xkrs.service.GlobalSettingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class GlobalSettingServiceImpl implements GlobalSettingService {

    @Resource
    private GlobalSettingDao globalSettingDao;

    @Override
    public boolean onlyShanDong() {
        try {
            List<GlobalSettingEntity> globalSettingList = globalSettingDao.findAll();
            for (GlobalSettingEntity globalSetting : globalSettingList) {
                if (globalSetting.getKey().equalsIgnoreCase("OnlyShanDong")) {
                    return globalSetting.getValue() == 1L;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return false;
    }

}
